#ifndef PA_RADIO_H
#define PA_RADIO_H
/*==============================================================================

       cpaRadioButton - overridden class for CRadioButton to add group-awareness

       Copyright  2001 Pankhurst Algorithmics - All Rights Reserved
       visit www.ebmDevMag.com for permissions/restrictions on use

==============================================================================*/
class cpaRadioButton : public CRadioButton
{

  private:

    cpaRadioButton *m_nextObject;
    long m_tag, m_groupId;

    S32  MsgHandler(MSG_TYPE type, CViewable *from, S32 data);

    static cpaRadioButton* s_firstObject;

  public:

    cpaRadioButton(int id,int width,int height,const char *caption,int groupId=-1);
    ~cpaRadioButton(void);
    void SetDownStatus(BOOL status);
    // set/get routines
    long Tag(long tag)
    {  return (m_tag=tag);      }
    long Tag(void)
    {  return m_tag;            }
    long GroupID(void)
    {  return m_groupId;        }
    // ideally, the group id should be fixed by runtime; however, to use form
    // editor we can't add to CRadioButton params, so this is a kludge -
    // however, we prevent changing more than once, to avoid programmers
    // abusing this feature
    long GroupID(long id)
    {
      if ( m_groupId<0 )
        m_groupId=id;
      return m_groupId;
    }

    static cpaRadioButton *GetGroupDownButton(long groupID);

};
//------------------------------------------------------------------------------
#endif

